GCLOUD_AUTH(1)

NAME

gcloud auth - manage oauth2 credentials for the Google Cloud SDK

SYNOPSIS

gcloud auth GROUP | COMMAND [GLOBAL-FLAG ...]

DESCRIPTION
The gcloud auth command group lets you grant and revoke authorization to Cloud SDK (gcloud) to access Google Cloud Platform.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

GROUPS
GROUP is one of the following:

    application-default
        Manage your active Application Default Credentials.

COMMANDS
COMMAND is one of the following:

    activate-service-account
        Authorize access to Google Cloud Platform using a service account.

    list
        Lists credentialed accounts.

    login
        Authorize gcloud to access Google Cloud Platform.

    revoke
        Revoke access credentials for an account.